Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.deployment.spi.factories
Class DeploymentFactoryImpl

    java.lang.Object
      org.jboss.deployment.spi.factories.DeploymentFactoryImpl

All Implemented Interfaces:
  javax.enterprise.deploy.spi.factories.DeploymentFactory

public class DeploymentFactoryImpl
extends Object
implements javax.enterprise.deploy.spi.factories.DeploymentFactory

The DeploymentFactory interface is a deployment driver for a J2EE plaform product. It returns a DeploymentManager object which represents a connection to a specific J2EE platform product.

Version:
  $Revision: 1.1.1.1 $
Author:
  thomas.diesler@jboss.org, Scott.Stark@jboss.com

Constructor Summary
`DeploymentFactoryImpl()`

Method Summary
`javax.enterprise.deploy.spi.DeploymentManager` | `getDeploymentManager(String uri, String userName, String password)` Get a connected deployment manager
`javax.enterprise.deploy.spi.DeploymentManager` | `getDisconnectedDeploymentManager(String uri)` Get a disconnected version of the deployment manager
`String` | `getDisplayName()` The name of the JBoss DeploymentFactory.
`String` | `getProductVersion()` The version of the deployment manager
`boolean` | `handlesURI(String uri)` Look for jboss-deployer:....

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DeploymentFactoryImpl

    public DeploymentFactoryImpl()

Method Detail

### handlesURI

    public boolean handlesURI(String uri)

  Look for jboss-deployer:.... URIs. Returns true if uri is has a scheme of jboss-deployer, false otherwise.

  Specified by:
    `handlesURI` in interface `javax.enterprise.deploy.spi.factories.DeploymentFactory`
  Parameters:
    `uri` - the uri
  Returns:
    true for jboss-deployer schemes, false otherwise.

### getDeploymentManager

    public javax.enterprise.deploy.spi.DeploymentManager getDeploymentManager(String uri,
                                                                              String userName,
                                                                              String password)
                                                                       throws javax.enterprise.deploy.spi.exceptions.DeploymentManagerCreationException

  Get a connected deployment manager

  Specified by:
    `getDeploymentManager` in interface `javax.enterprise.deploy.spi.factories.DeploymentFactory`
  Parameters:
    `uri` - the uri of the deployment manager
    `userName` - the user name
    `password` - the password
  Returns:
    the deployment manager
  Throws:
    `javax.enterprise.deploy.spi.exceptions.DeploymentManagerCreationException`

### getDisconnectedDeploymentManager

    public javax.enterprise.deploy.spi.DeploymentManager getDisconnectedDeploymentManager(String uri)
                                                                                   throws javax.enterprise.deploy.spi.exceptions.DeploymentManagerCreationException

  Get a disconnected version of the deployment manager

  Specified by:
    `getDisconnectedDeploymentManager` in interface `javax.enterprise.deploy.spi.factories.DeploymentFactory`
  Parameters:
    `uri` - the uri to connect to
  Returns:
    the disconnected deployment manager
  Throws:
    `javax.enterprise.deploy.spi.exceptions.DeploymentManagerCreationException`

### getDisplayName

    public String getDisplayName()

  The name of the JBoss DeploymentFactory.

  Specified by:
    `getDisplayName` in interface `javax.enterprise.deploy.spi.factories.DeploymentFactory`
  Returns:
    the vendor name

### getProductVersion

    public String getProductVersion()

  The version of the deployment manager

  Specified by:
    `getProductVersion` in interface `javax.enterprise.deploy.spi.factories.DeploymentFactory`
  Returns:
    the version

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.